MARUKU(1)

NAME
maruku - converts markdown files to various output

SYNOPSIS
maruku [options] [file1.md [file2.md ...]]

DESCRIPTION
maruku is a markdown interpreter: it accepts files written in the markdown language and transforms them into HTML, TeX of PDF (using pdflatex). If no file is given on the command-line, maruku acts as a filter and converts standard input to standard output.

OPTIONS

-v, --[no-]verbose
    Run verbosely

-u, --[no-]unsafe
    Use unsafe features

-b  Break on error

-i, --math-images ENGINE
    Uses ENGINE to render TeX to PNG.

-m, --math-engine ENGINE
    Uses ENGINE to render MathML

-o, --output FILE
    Output filename

--pdf
    Creates PDF output using pdflatex. Please see the NOTE below.

--s5
    Write S5 slideshow

--html
    Write HTML output.

--html-frag
    Write the contents of the BODY.

--tex
    Write LaTeX

--inspect
    Shows the parsing result

--version
    Show version

SEE ALSO
marutex(1) pdflatex(1).

NOTE
An important note for debian users: to prevent a lightweight library such as libmaruku-ruby to pull in heavy dependencies like texlive, libmaruku-ruby does not depend on texlive (but only recommends it). This means that if you do not install texlive, you will not have PDF output.

AUTHOR
maruku was written by Andrea Censi <andrea@rubyforge.org>.

This manual page was written by Vincent Fourmond <fourmond@debian.org>, for the Debian project (but may be used by others).